/*
When the user checkmarks the last checkbox, this javascript will uncheckmark the others.
When the user checkmarks a checkbox other than the last checkbox, the javascript will uncheckmark the last.
This function must be called via onClick() from all <input> tags.
*/

function LastClearsOthers(input_user_checkmarked) {
	var last_is_checked = false;
	var last_checkbox_index = -1; //Is overwritten so is -1 only when processing the last checkbox.
	var form = document.CorvidForm;
	var uncheckmark_others = false;
	var return_variable = input_user_checkmarked.name;
	//for each element in the FORM, scanning in reverse order
	for (i=form.elements.length - 1; i >= 0; i--) {
		var elem = form.elements[i];
		var type = elem.type.toLowerCase();
		//if element is a checkbox that sets the same return variable 
		if (type == "checkbox" && elem.name == return_variable) {
			//if this is the last checkbox
			if (last_checkbox_index == -1) {
				last_is_checked = elem.checked;
				last_checkbox_index = i;
				if (!last_is_checked) 
					break;
				//if the checkbox that was just clicked on is the last checkbox, set flag to uncheckmark others.
				if (elem == input_user_checkmarked) //if same object (not just equal object)
					uncheckmark_others = true;
				//else some other was clicked on so uncheckmark last and done
				else {
					elem.checked = false;
					break;
				}
			} else //else not last checkbox and last was clicked on so uncheckmark this one
				elem.checked = false;
		}
	}
}
