/* 
For each link in web page, if link is stylesheet and has title and title matches the parameter, 
then enable that link and disable all others.
*/

function SetStyleSheet(title) {
	var i;
	var lnks = document.getElementsByTagName("link");
	var len = lnks.length;
	var lnk;
	//for each <link> tag in web page
	for (i=0; i < len; i++) {
		lnk = lnks[i];
		//if rel="stylesheet" or rel="alternative stylesheet" and has title=
		if (lnk.getAttribute("rel").indexOf("style") != -1 && lnk.getAttribute("title")) {
			//if the current link's title matches the title passed in the parameter
			if (lnk.getAttribute("title") == title)
				lnk.disabled = false; //enable it
			else	lnk.disabled = true;  //disable it
		}
	}
}
